%define upstream_name    Sys-Trace
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Sys::Trace implementation for strace(1)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Text::Balanced)
BuildArch: noarch

%description
Provides a way to programmatically run or trace a program and see the
system calls it makes.

This can be useful during testing as a way to ensure a particular file is
actually opened, or another hard to test interaction actually occurs.

Currently supported tracing mechanisms are ktrace, strace and truss.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Nov 19 2011 kharec <kharec> 0.30.0-1.mga2
+ Revision: 169242
- imported package perl-Sys-Trace


* Sat Nov 19 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
